> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paywise.de/llms.txt
> Use this file to discover all available pages before exploring further.

# List Companies

> List Companies managed by your account. Provide appropriate filters to limit the search.



## OpenAPI

````yaml get /partner/v1/companies/
openapi: 3.0.3
info:
  title: paywise Partner API
  version: v1
  description: |

    Use our API to create and manage companies & users.

    Please refer to the [official docs][ref1] for more!

    [ref1]: https://docs.paywise.de/api-docs/partner-api/introduction
servers:
  - url: https://api.paywise.de
    description: Production environment
security: []
externalDocs:
  url: https://docs.paywise.de/api-docs/partner-api/
paths:
  /partner/v1/companies/:
    get:
      tags:
        - companies
      summary: List Companies
      description: >-
        List Companies managed by your account. Provide appropriate filters to
        limit the search.
      operationId: list-companies
      parameters:
        - in: query
          name: id
          schema:
            type: string
            format: uuid
        - name: limit
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - in: query
          name: name
          schema:
            type: string
        - name: offset
          required: false
          in: query
          description: The initial index from which to return the results.
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedCompanySerlializerList'
              examples:
                ListCompaniesResponseSample:
                  value:
                    count: 123
                    next: http://api.example.org/accounts/?offset=400&limit=100
                    previous: http://api.example.org/accounts/?offset=200&limit=100
                    results:
                      - href: >-
                          https://api.paywise.de/partner/v1/companies/e2f8f69c-d5ef-4821-b334-d3b5769f9a70/
                        id: 6196ba03-83f2-46ea-83e1-a087bd0c5acc
                        name: Mustermann GmbH & Co. KG
                        address:
                          street: Musterstr. 1
                          zip: '44651'
                          city: Musterhausen
                          country: DE
                        phone: +49 89 123456
                        vat_number: DE123456789
                        users:
                          - href: >-
                              https://api.paywise.de/partner/v1/users/ab5fc850-7bb3-4c33-9741-d1305dfa41d9/
                            id: ab5fc850-7bb3-4c33-9741-d1305dfa41d9
                            email: max@mustermann.com
                            first_name: Max
                            last_name: Mustermann
                            company: 6196ba03-83f2-46ea-83e1-a087bd0c5acc
                            email_verified: true
                            notification_channels:
                              - channel_type: EMAIL
                                value: max@mustermann.com
                                notification_types:
                                  - REQUESTS_TO_CLIENT
                                  - STATUS_UPDATE
                                  - STATEMENTS
                        data_submission_completed: true
                        legal_form: GmbH & Co. KG
                        legal_representatives:
                          - type: komplementaer
                            name: Mustermann Holding GbnH
                          - type: geschaeftsführer
                            name: Max Mustermann
                        tax_deduction_eligibility: J
                        notification_channels:
                          - channel_type: EMAIL
                            value: testitesee12@mailinator.com
                            notification_types:
                              - REQUESTS_TO_CLIENT
                              - STATUS_UPDATE
                              - STATEMENTS
                  summary: List Companies Response Sample
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    PaginatedCompanySerlializerList:
      type: object
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=400&limit=100
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=200&limit=100
        results:
          type: array
          items:
            $ref: '#/components/schemas/CompanySerlializer'
    CompanySerlializer:
      type: object
      properties:
        href:
          type: string
          format: uri
          readOnly: true
        id:
          type: string
        name:
          type: string
          description: Name of the company
        address:
          allOf:
            - $ref: '#/components/schemas/Address'
          description: The company's postal address
        phone:
          type: string
          description: Phone number of the company (max 50 characters)
        vat_number:
          type: string
          description: >-
            VAT ID (Umsatzsteuer-Identifikationsnummer), must adhere to the
            german schema for VAT IDs
        users:
          type: array
          items:
            $ref: '#/components/schemas/UserSerlializer'
          description: Users registered within this company (read only)
        data_submission_completed:
          type: boolean
          readOnly: true
          default: false
          description: >-
            Indicates whether the data for the company was completely submitted,
            either through API or provided by a user. You can only start
            creating claims once this is completed.
        default_claim_type:
          allOf:
            - $ref: '#/components/schemas/DefaultClaimTypeEnum'
          description: |-
            The company's default claim type (Vertragsart/Forderungsart)

            * `H05` - Dienstleistungsvertrag
            * `H43` - Warenlieferung/-en
            * `H22` - Mitgliedsbeitrag
            * `H21` - Miete
            * `H11` - Kaufvertrag
            * `H44` - Werkvertrag/Werklieferungsvertrag
            * `H08` - Handwerkerleistung
            * `H41` - Versicherungsprämie/-beitrag
            * `H16` - Lehrgangs-/Unterrichtskosten
            * `H10` - Hotelkosten
            * `H02` - Ärztliche oder zahnärztliche Leistung
            * `H28` - Schadenersatz aus Vertrag
            * `H26` - Reparaturleistung
            * `H24` - Rechtsanwalts-/Rechtsbeistandshonorar
            * `H06` - Frachtkosten
            * `H18` - Miete für Kraftfahrzeug
            * `H34` - Speditionskosten
            * `H19` - Miete für Wohnraum einschl. Nebenkosten
            * `H42` - Versorgungsleistung - Strom, Wasser, Gas, Wärme-
            * `H17` - Miete für Geschäftsraum einschl. Nebenkosten
            * `H45` - Zeitungs-/Zeitschriftenbezug
            * `H37` - Ungerechtfertigte Bereicherung
            * `H29` - Schadenersatz aus Unfall/Vorfall
            * `H01` - Anzeigen in Zeitungen u.a.
            * `H78` - Tierärztliche Leistung
            * `H14` - Lagerkosten
            * `H77` - Krankentransportkosten
            * `H40` - Vermittlungs-/Maklerprovision
            * `H15` - Leasing/Mietkauf
            * `H23` - Pacht
            * `H04` - Darlehensrückzahlung
            * `H20` - Mietnebenkosten - auch Renovierungskosten-
            * `H79` - Verpflegungskosten
            * `H75` - Reisevertrag
            * `H33` - Schuldanerkenntnis
            * `H39` - Vergleich, außergerichtlicher
            * `H70` - Kindertagesstättenbeitrag
            * `H90` - Wohngeld/Hausgeld für Wohnungseigentümergemeinschaft
            * `H09` - Heimunterbringung
            * `H03` - Bürgschaft
            * `H07` - Geschäftsbesorgung durch Selbständige
            * `H12` - Kontokorrentabrechnung
            * `H13` - Krankenhauskosten-Pflege/Behandlung
            * `H36` - Überziehung des Bankkontos
            * `H61` - Wahlleistungen bei stationärer Behandlung
            * `H76` - Telekommunikationsleistungen
        legal_form:
          type: string
          description: Legal Form of the company
        legal_representatives:
          type: array
          items:
            $ref: '#/components/schemas/LegalRepresentative'
          description: The company's legal representatives (if required)
        tax_deduction_eligibility:
          allOf:
            - $ref: '#/components/schemas/TaxDeductionEligibilityEnum'
          description: >-
            The company's input tax deduction eligibility
            (Vorsteuerabzugsberechtigung)


            * `J` - Vorsteuerabzugsberechtigt

            * `N` - Nicht vorsteuerabzugsberechtigt

            * `K` - Reverse-Charge-Verfahren

            * `A` - Nicht steuerbare Umsätze - Drittlandunternehmer
        notification_channels:
          type: array
          items:
            $ref: '#/components/schemas/NotificationChannel'
          description: Notification settings for the company
        iban:
          type: string
          description: >-
            The company's payout account to which collected funds will be
            transferred.
          maxLength: 32
      required:
        - data_submission_completed
        - href
        - name
        - phone
    Address:
      type: object
      properties:
        street:
          type: string
          description: Street and house number
        zip:
          type: string
          description: Zip code
        city:
          type: string
          description: Full name of the city
        country:
          allOf:
            - $ref: '#/components/schemas/CountryEnum'
          description: |-
            The country, formatted as two letter ISO-3166-1 country code.

            * `AF` - Afghanistan
            * `EG` - Ägypten
            * `AX` - Åland-Inseln
            * `AL` - Albanien
            * `DZ` - Algerien
            * `AS` - Amerikanisch-Samoa
            * `VI` - Amerikanische Jungferninseln
            * `AD` - Andorra
            * `AO` - Angola
            * `AI` - Anguilla
            * `AQ` - Antarktis
            * `AG` - Antigua und Barbuda
            * `GQ` - Äquatorialguinea
            * `AR` - Argentinien
            * `AM` - Armenien
            * `AW` - Aruba
            * `AZ` - Aserbaidschan
            * `ET` - Äthiopien
            * `AU` - Australien
            * `BS` - Bahamas
            * `BH` - Bahrain
            * `BD` - Bangladesch
            * `BB` - Barbados
            * `BE` - Belgien
            * `BZ` - Belize
            * `BJ` - Benin
            * `BM` - Bermuda
            * `BT` - Bhutan
            * `BO` - Bolivien
            * `BQ` - Bonaire, Sint Eustatius und Saba
            * `BA` - Bosnien und Herzegowina
            * `BW` - Botswana
            * `BV` - Bouvetinsel
            * `BR` - Brasilien
            * `VG` - Britische Jungferninseln
            * `IO` - Britisches Territorium im Indischen Ozean
            * `BN` - Brunei
            * `BG` - Bulgarien
            * `BF` - Burkina Faso
            * `BI` - Burundi
            * `CL` - Chile
            * `CN` - China
            * `MP` - Commonwealth der Nördlichen Marianen
            * `CK` - Cookinseln
            * `CR` - Costa Rica
            * `CI` - Côte d'Ivoire
            * `CW` - Curaçao
            * `DK` - Dänemark
            * `DE` - Deutschland
            * `DM` - Dominica
            * `DO` - Dominikanische Republik
            * `DJ` - Dschibuti
            * `EC` - Ecuador
            * `SV` - El Salvador
            * `ER` - Eritrea
            * `EE` - Estland
            * `FK` - Falklandinseln (Malwinen)
            * `FO` - Faröerinseln
            * `FJ` - Fidschi
            * `FI` - Finnland
            * `FR` - Frankreich
            * `GF` - Französisch Guinea
            * `PF` - Französisch-Polynesien
            * `TF` - Französische Süd- und Antarktisgebiete
            * `GA` - Gabun
            * `GM` - Gambia
            * `GE` - Georgien
            * `GH` - Ghana
            * `GI` - Gibraltar
            * `GD` - Granada
            * `GR` - Griechenland
            * `GL` - Grönland
            * `GP` - Guadeloupe
            * `GU` - Guam
            * `GT` - Guatemala
            * `GG` - Guernsey
            * `GN` - Guinea
            * `GW` - Guinea-Bissau
            * `GY` - Guyana
            * `HT` - Haiti
            * `HM` - Heard und McDonaldinseln
            * `HN` - Honduras
            * `HK` - Hong Kong
            * `IN` - Indien
            * `ID` - Indonesien
            * `IQ` - Irak
            * `IR` - Iran (Islamische Republik)
            * `IE` - Irland
            * `IS` - Island
            * `IM` - Isle of Man
            * `IL` - Israel
            * `IT` - Italien
            * `JM` - Jamaika
            * `JP` - Japan
            * `YE` - Jemen
            * `JE` - Jersey
            * `JO` - Jordanien
            * `KY` - Kaimaninseln
            * `KH` - Kambodscha
            * `CM` - Kamerun
            * `CA` - Kanada
            * `CV` - Kap Verde
            * `KZ` - Kasachstan
            * `QA` - Katar
            * `KE` - Kenia
            * `KG` - Kirgisistan
            * `KI` - Kirivati
            * `CC` - Kokosinseln (Keelinginseln)
            * `CO` - Kolumbien
            * `KM` - Komoren
            * `CG` - Kongo
            * `CD` - Kongo (Demokratische Republik)
            * `HR` - Kroatien
            * `CU` - Kuba
            * `KW` - Kuwait
            * `LA` - Laos, Demokratische Volksrepublik
            * `LS` - Lesotho
            * `LV` - Lettland
            * `LB` - Libanon
            * `LR` - Liberia
            * `LY` - Libyen
            * `LI` - Liechtenstein
            * `LT` - Litauen
            * `LU` - Luxemburg
            * `MO` - Macao
            * `MG` - Madagaskar
            * `MW` - Malawi
            * `MY` - Malaysia
            * `MV` - Malediven
            * `ML` - Mali
            * `MT` - Malta
            * `MA` - Marokko
            * `MH` - Marshallinseln
            * `MQ` - Martinique
            * `MR` - Mauretanien
            * `MU` - Mauritius
            * `YT` - Mayotte
            * `MK` - Mazedonien
            * `MX` - Mexiko
            * `FM` - Mikronesien (Föderierte Staaten von)
            * `MD` - Moldawien
            * `MC` - Monaco
            * `MN` - Mongolei
            * `ME` - Montenegro
            * `MS` - Montserrat
            * `MZ` - Mozambique
            * `MM` - Myanmar
            * `NA` - Namibia
            * `NR` - Nauru
            * `NP` - Nepal
            * `NC` - Neukaledonien
            * `NZ` - Neuseeland
            * `NI` - Nicaragua
            * `NL` - Niederlande
            * `NE` - Niger
            * `NG` - Nigeria
            * `NU` - Niue
            * `KP` - Nordkorea
            * `NF` - Norfolkinsel
            * `NO` - Norwegen
            * `OM` - Oman
            * `AT` - Österreich
            * `TL` - Osttimor
            * `PK` - Pakistan
            * `PS` - Palästina
            * `PW` - Palau
            * `PA` - Panama
            * `PG` - Papua Neu Guinea
            * `PY` - Paraguay
            * `PE` - Peru
            * `PH` - Philippinen
            * `PN` - Pitcairn
            * `PL` - Polen
            * `PT` - Portugal
            * `PR` - Puerto Rico
            * `RE` - Réunion
            * `RW` - Ruanda
            * `RO` - Rumänien
            * `RU` - Russland
            * `BL` - Saint-Barthélemy
            * `PM` - Saint-Pierre und Miquelon
            * `SB` - Salomonen
            * `ZM` - Sambia
            * `WS` - Samoa
            * `SM` - San Marino
            * `ST` - São Tomé und Príncipe
            * `SA` - Saudi Arabien
            * `SE` - Schweden
            * `CH` - Schweiz
            * `SN` - Senegal
            * `RS` - Serbien
            * `SC` - Seychellen
            * `SL` - Sierra Leone
            * `ZW` - Simbabwe
            * `SG` - Singapur
            * `SX` - Sint Maarten (niederländischer Teil)
            * `SK` - Slowakei
            * `SI` - Slowenien
            * `SO` - Somalia
            * `ES` - Spanien
            * `SJ` - Spitzbergen und Jan Mayen
            * `LK` - Sri Lanka
            * `SH` - St. Helena, Ascension und Tristan da Cunha
            * `KN` - St. Kitts und Nevis
            * `LC` - St. Lucia
            * `MF` - St. Martin (französischer Teil)
            * `VC` - St. Vincent und die Grenadinen
            * `ZA` - Südafrika
            * `SD` - Sudan
            * `GS` - Südgeorgien und die Südlichen Sandwichinseln
            * `KR` - Südkorea
            * `SS` - Südsudan
            * `SR` - Surinam
            * `SZ` - Swasiland
            * `SY` - Syrien
            * `TJ` - Tadschikistan
            * `TW` - Taiwan (Provinz Chinas)
            * `TZ` - Tansania
            * `TH` - Thailand
            * `TG` - Togo
            * `TK` - Tokelau
            * `TO` - Tonga
            * `TT` - Trinidad und Tobago
            * `TD` - Tschad
            * `CZ` - Tschechien
            * `TN` - Tunesien
            * `TR` - Türkei
            * `TM` - Turkmenistan
            * `TC` - Turks- und Caicosinseln
            * `TV` - Tuvalu
            * `UM` - USA - Sonstige Kleine Inseln
            * `UG` - Uganda
            * `UA` - Ukraine
            * `HU` - Ungarn
            * `UY` - Uruguay
            * `UZ` - Usbekistan
            * `VU` - Vanuatu
            * `VA` - Vatikanstadt
            * `VE` - Venezuela (Bolivarische Republik)
            * `AE` - Vereinigte Arabische Emirate
            * `US` - Vereinigte Staaten von Amerika
            * `GB` - Vereinigtes Königreich
            * `VN` - Vietnam
            * `WF` - Wallis und Futuna
            * `CX` - Weihnachtsinsel
            * `BY` - Weißrussland
            * `EH` - Westsahara
            * `CF` - Zentralafrikanische Republik
            * `CY` - Zypern
      required:
        - city
        - country
        - street
        - zip
    UserSerlializer:
      type: object
      properties:
        href:
          type: string
          format: uri
          readOnly: true
        id:
          type: string
        email:
          type: string
          description: E-Mail des Benutzers
        first_name:
          type: string
          description: Vorname des Benutzers
        last_name:
          type: string
          description: Nachname des Benutzers
        company:
          type: string
          format: uuid
          description: UUID of the company that the user is going to be part of
        email_verified:
          type: boolean
          readOnly: true
        notification_channels:
          type: array
          items:
            $ref: '#/components/schemas/NotificationChannel'
          description: Notification settings for the user
      required:
        - company
        - email
        - email_verified
        - first_name
        - href
        - last_name
    DefaultClaimTypeEnum:
      enum:
        - H05
        - H43
        - H22
        - H21
        - H11
        - H44
        - H08
        - H41
        - H16
        - H10
        - H02
        - H28
        - H26
        - H24
        - H06
        - H18
        - H34
        - H19
        - H42
        - H17
        - H45
        - H37
        - H29
        - H01
        - H78
        - H14
        - H77
        - H40
        - H15
        - H23
        - H04
        - H20
        - H79
        - H75
        - H33
        - H39
        - H70
        - H90
        - H09
        - H03
        - H07
        - H12
        - H13
        - H36
        - H61
        - H76
      type: string
      description: |-
        * `H05` - Dienstleistungsvertrag
        * `H43` - Warenlieferung/-en
        * `H22` - Mitgliedsbeitrag
        * `H21` - Miete
        * `H11` - Kaufvertrag
        * `H44` - Werkvertrag/Werklieferungsvertrag
        * `H08` - Handwerkerleistung
        * `H41` - Versicherungsprämie/-beitrag
        * `H16` - Lehrgangs-/Unterrichtskosten
        * `H10` - Hotelkosten
        * `H02` - Ärztliche oder zahnärztliche Leistung
        * `H28` - Schadenersatz aus Vertrag
        * `H26` - Reparaturleistung
        * `H24` - Rechtsanwalts-/Rechtsbeistandshonorar
        * `H06` - Frachtkosten
        * `H18` - Miete für Kraftfahrzeug
        * `H34` - Speditionskosten
        * `H19` - Miete für Wohnraum einschl. Nebenkosten
        * `H42` - Versorgungsleistung - Strom, Wasser, Gas, Wärme-
        * `H17` - Miete für Geschäftsraum einschl. Nebenkosten
        * `H45` - Zeitungs-/Zeitschriftenbezug
        * `H37` - Ungerechtfertigte Bereicherung
        * `H29` - Schadenersatz aus Unfall/Vorfall
        * `H01` - Anzeigen in Zeitungen u.a.
        * `H78` - Tierärztliche Leistung
        * `H14` - Lagerkosten
        * `H77` - Krankentransportkosten
        * `H40` - Vermittlungs-/Maklerprovision
        * `H15` - Leasing/Mietkauf
        * `H23` - Pacht
        * `H04` - Darlehensrückzahlung
        * `H20` - Mietnebenkosten - auch Renovierungskosten-
        * `H79` - Verpflegungskosten
        * `H75` - Reisevertrag
        * `H33` - Schuldanerkenntnis
        * `H39` - Vergleich, außergerichtlicher
        * `H70` - Kindertagesstättenbeitrag
        * `H90` - Wohngeld/Hausgeld für Wohnungseigentümergemeinschaft
        * `H09` - Heimunterbringung
        * `H03` - Bürgschaft
        * `H07` - Geschäftsbesorgung durch Selbständige
        * `H12` - Kontokorrentabrechnung
        * `H13` - Krankenhauskosten-Pflege/Behandlung
        * `H36` - Überziehung des Bankkontos
        * `H61` - Wahlleistungen bei stationärer Behandlung
        * `H76` - Telekommunikationsleistungen
    LegalRepresentative:
      type: object
      properties:
        type:
          allOf:
            - $ref: '#/components/schemas/TypeEnum'
          description: >-
            Type / function of the legal representative. This must be compatible
            with the selected legal form


            * `gesellschafter` - Gesellschafter

            * `direktor` - Direktor

            * `director` - Director

            * `vorstand` - Vorstand

            * `inhaber` - Inhaber

            * `geschaeftsführer` - Geschäftsführer

            * `komplementaer` - Komplementär

            * `partner` - Partner

            * `vorsitzender` - Vorsitzender

            * `sonstiges` - Sonstiges
        name:
          type: string
          description: >-
            Full name of the legal representative (e.g. Hans Meiser or Meiser
            Holding GmbH)
      required:
        - name
        - type
    TaxDeductionEligibilityEnum:
      enum:
        - J
        - 'N'
        - K
        - A
      type: string
      description: |-
        * `J` - Vorsteuerabzugsberechtigt
        * `N` - Nicht vorsteuerabzugsberechtigt
        * `K` - Reverse-Charge-Verfahren
        * `A` - Nicht steuerbare Umsätze - Drittlandunternehmer
    NotificationChannel:
      type: object
      properties:
        channel_type:
          allOf:
            - $ref: '#/components/schemas/ChannelTypeEnum'
          description: >-
            Type of the communication channel to be used. Currently only
            supports email


            * `EMAIL` - E-Mail
        value:
          type: string
          description: Value of the communication channel (e.g. the email Address)
        notification_types:
          type: array
          items:
            $ref: '#/components/schemas/NotificationTypesEnum'
          nullable: true
      required:
        - channel_type
        - value
    CountryEnum:
      enum:
        - AF
        - EG
        - AX
        - AL
        - DZ
        - AS
        - VI
        - AD
        - AO
        - AI
        - AQ
        - AG
        - GQ
        - AR
        - AM
        - AW
        - AZ
        - ET
        - AU
        - BS
        - BH
        - BD
        - BB
        - BE
        - BZ
        - BJ
        - BM
        - BT
        - BO
        - BQ
        - BA
        - BW
        - BV
        - BR
        - VG
        - IO
        - BN
        - BG
        - BF
        - BI
        - CL
        - CN
        - MP
        - CK
        - CR
        - CI
        - CW
        - DK
        - DE
        - DM
        - DO
        - DJ
        - EC
        - SV
        - ER
        - EE
        - FK
        - FO
        - FJ
        - FI
        - FR
        - GF
        - PF
        - TF
        - GA
        - GM
        - GE
        - GH
        - GI
        - GD
        - GR
        - GL
        - GP
        - GU
        - GT
        - GG
        - GN
        - GW
        - GY
        - HT
        - HM
        - HN
        - HK
        - IN
        - ID
        - IQ
        - IR
        - IE
        - IS
        - IM
        - IL
        - IT
        - JM
        - JP
        - YE
        - JE
        - JO
        - KY
        - KH
        - CM
        - CA
        - CV
        - KZ
        - QA
        - KE
        - KG
        - KI
        - CC
        - CO
        - KM
        - CG
        - CD
        - HR
        - CU
        - KW
        - LA
        - LS
        - LV
        - LB
        - LR
        - LY
        - LI
        - LT
        - LU
        - MO
        - MG
        - MW
        - MY
        - MV
        - ML
        - MT
        - MA
        - MH
        - MQ
        - MR
        - MU
        - YT
        - MK
        - MX
        - FM
        - MD
        - MC
        - MN
        - ME
        - MS
        - MZ
        - MM
        - NA
        - NR
        - NP
        - NC
        - NZ
        - NI
        - NL
        - NE
        - NG
        - NU
        - KP
        - NF
        - 'NO'
        - OM
        - AT
        - TL
        - PK
        - PS
        - PW
        - PA
        - PG
        - PY
        - PE
        - PH
        - PN
        - PL
        - PT
        - PR
        - RE
        - RW
        - RO
        - RU
        - BL
        - PM
        - SB
        - ZM
        - WS
        - SM
        - ST
        - SA
        - SE
        - CH
        - SN
        - RS
        - SC
        - SL
        - ZW
        - SG
        - SX
        - SK
        - SI
        - SO
        - ES
        - SJ
        - LK
        - SH
        - KN
        - LC
        - MF
        - VC
        - ZA
        - SD
        - GS
        - KR
        - SS
        - SR
        - SZ
        - SY
        - TJ
        - TW
        - TZ
        - TH
        - TG
        - TK
        - TO
        - TT
        - TD
        - CZ
        - TN
        - TR
        - TM
        - TC
        - TV
        - UM
        - UG
        - UA
        - HU
        - UY
        - UZ
        - VU
        - VA
        - VE
        - AE
        - US
        - GB
        - VN
        - WF
        - CX
        - BY
        - EH
        - CF
        - CY
      type: string
      description: |-
        * `AF` - Afghanistan
        * `EG` - Ägypten
        * `AX` - Åland-Inseln
        * `AL` - Albanien
        * `DZ` - Algerien
        * `AS` - Amerikanisch-Samoa
        * `VI` - Amerikanische Jungferninseln
        * `AD` - Andorra
        * `AO` - Angola
        * `AI` - Anguilla
        * `AQ` - Antarktis
        * `AG` - Antigua und Barbuda
        * `GQ` - Äquatorialguinea
        * `AR` - Argentinien
        * `AM` - Armenien
        * `AW` - Aruba
        * `AZ` - Aserbaidschan
        * `ET` - Äthiopien
        * `AU` - Australien
        * `BS` - Bahamas
        * `BH` - Bahrain
        * `BD` - Bangladesch
        * `BB` - Barbados
        * `BE` - Belgien
        * `BZ` - Belize
        * `BJ` - Benin
        * `BM` - Bermuda
        * `BT` - Bhutan
        * `BO` - Bolivien
        * `BQ` - Bonaire, Sint Eustatius und Saba
        * `BA` - Bosnien und Herzegowina
        * `BW` - Botswana
        * `BV` - Bouvetinsel
        * `BR` - Brasilien
        * `VG` - Britische Jungferninseln
        * `IO` - Britisches Territorium im Indischen Ozean
        * `BN` - Brunei
        * `BG` - Bulgarien
        * `BF` - Burkina Faso
        * `BI` - Burundi
        * `CL` - Chile
        * `CN` - China
        * `MP` - Commonwealth der Nördlichen Marianen
        * `CK` - Cookinseln
        * `CR` - Costa Rica
        * `CI` - Côte d'Ivoire
        * `CW` - Curaçao
        * `DK` - Dänemark
        * `DE` - Deutschland
        * `DM` - Dominica
        * `DO` - Dominikanische Republik
        * `DJ` - Dschibuti
        * `EC` - Ecuador
        * `SV` - El Salvador
        * `ER` - Eritrea
        * `EE` - Estland
        * `FK` - Falklandinseln (Malwinen)
        * `FO` - Faröerinseln
        * `FJ` - Fidschi
        * `FI` - Finnland
        * `FR` - Frankreich
        * `GF` - Französisch Guinea
        * `PF` - Französisch-Polynesien
        * `TF` - Französische Süd- und Antarktisgebiete
        * `GA` - Gabun
        * `GM` - Gambia
        * `GE` - Georgien
        * `GH` - Ghana
        * `GI` - Gibraltar
        * `GD` - Granada
        * `GR` - Griechenland
        * `GL` - Grönland
        * `GP` - Guadeloupe
        * `GU` - Guam
        * `GT` - Guatemala
        * `GG` - Guernsey
        * `GN` - Guinea
        * `GW` - Guinea-Bissau
        * `GY` - Guyana
        * `HT` - Haiti
        * `HM` - Heard und McDonaldinseln
        * `HN` - Honduras
        * `HK` - Hong Kong
        * `IN` - Indien
        * `ID` - Indonesien
        * `IQ` - Irak
        * `IR` - Iran (Islamische Republik)
        * `IE` - Irland
        * `IS` - Island
        * `IM` - Isle of Man
        * `IL` - Israel
        * `IT` - Italien
        * `JM` - Jamaika
        * `JP` - Japan
        * `YE` - Jemen
        * `JE` - Jersey
        * `JO` - Jordanien
        * `KY` - Kaimaninseln
        * `KH` - Kambodscha
        * `CM` - Kamerun
        * `CA` - Kanada
        * `CV` - Kap Verde
        * `KZ` - Kasachstan
        * `QA` - Katar
        * `KE` - Kenia
        * `KG` - Kirgisistan
        * `KI` - Kirivati
        * `CC` - Kokosinseln (Keelinginseln)
        * `CO` - Kolumbien
        * `KM` - Komoren
        * `CG` - Kongo
        * `CD` - Kongo (Demokratische Republik)
        * `HR` - Kroatien
        * `CU` - Kuba
        * `KW` - Kuwait
        * `LA` - Laos, Demokratische Volksrepublik
        * `LS` - Lesotho
        * `LV` - Lettland
        * `LB` - Libanon
        * `LR` - Liberia
        * `LY` - Libyen
        * `LI` - Liechtenstein
        * `LT` - Litauen
        * `LU` - Luxemburg
        * `MO` - Macao
        * `MG` - Madagaskar
        * `MW` - Malawi
        * `MY` - Malaysia
        * `MV` - Malediven
        * `ML` - Mali
        * `MT` - Malta
        * `MA` - Marokko
        * `MH` - Marshallinseln
        * `MQ` - Martinique
        * `MR` - Mauretanien
        * `MU` - Mauritius
        * `YT` - Mayotte
        * `MK` - Mazedonien
        * `MX` - Mexiko
        * `FM` - Mikronesien (Föderierte Staaten von)
        * `MD` - Moldawien
        * `MC` - Monaco
        * `MN` - Mongolei
        * `ME` - Montenegro
        * `MS` - Montserrat
        * `MZ` - Mozambique
        * `MM` - Myanmar
        * `NA` - Namibia
        * `NR` - Nauru
        * `NP` - Nepal
        * `NC` - Neukaledonien
        * `NZ` - Neuseeland
        * `NI` - Nicaragua
        * `NL` - Niederlande
        * `NE` - Niger
        * `NG` - Nigeria
        * `NU` - Niue
        * `KP` - Nordkorea
        * `NF` - Norfolkinsel
        * `NO` - Norwegen
        * `OM` - Oman
        * `AT` - Österreich
        * `TL` - Osttimor
        * `PK` - Pakistan
        * `PS` - Palästina
        * `PW` - Palau
        * `PA` - Panama
        * `PG` - Papua Neu Guinea
        * `PY` - Paraguay
        * `PE` - Peru
        * `PH` - Philippinen
        * `PN` - Pitcairn
        * `PL` - Polen
        * `PT` - Portugal
        * `PR` - Puerto Rico
        * `RE` - Réunion
        * `RW` - Ruanda
        * `RO` - Rumänien
        * `RU` - Russland
        * `BL` - Saint-Barthélemy
        * `PM` - Saint-Pierre und Miquelon
        * `SB` - Salomonen
        * `ZM` - Sambia
        * `WS` - Samoa
        * `SM` - San Marino
        * `ST` - São Tomé und Príncipe
        * `SA` - Saudi Arabien
        * `SE` - Schweden
        * `CH` - Schweiz
        * `SN` - Senegal
        * `RS` - Serbien
        * `SC` - Seychellen
        * `SL` - Sierra Leone
        * `ZW` - Simbabwe
        * `SG` - Singapur
        * `SX` - Sint Maarten (niederländischer Teil)
        * `SK` - Slowakei
        * `SI` - Slowenien
        * `SO` - Somalia
        * `ES` - Spanien
        * `SJ` - Spitzbergen und Jan Mayen
        * `LK` - Sri Lanka
        * `SH` - St. Helena, Ascension und Tristan da Cunha
        * `KN` - St. Kitts und Nevis
        * `LC` - St. Lucia
        * `MF` - St. Martin (französischer Teil)
        * `VC` - St. Vincent und die Grenadinen
        * `ZA` - Südafrika
        * `SD` - Sudan
        * `GS` - Südgeorgien und die Südlichen Sandwichinseln
        * `KR` - Südkorea
        * `SS` - Südsudan
        * `SR` - Surinam
        * `SZ` - Swasiland
        * `SY` - Syrien
        * `TJ` - Tadschikistan
        * `TW` - Taiwan (Provinz Chinas)
        * `TZ` - Tansania
        * `TH` - Thailand
        * `TG` - Togo
        * `TK` - Tokelau
        * `TO` - Tonga
        * `TT` - Trinidad und Tobago
        * `TD` - Tschad
        * `CZ` - Tschechien
        * `TN` - Tunesien
        * `TR` - Türkei
        * `TM` - Turkmenistan
        * `TC` - Turks- und Caicosinseln
        * `TV` - Tuvalu
        * `UM` - USA - Sonstige Kleine Inseln
        * `UG` - Uganda
        * `UA` - Ukraine
        * `HU` - Ungarn
        * `UY` - Uruguay
        * `UZ` - Usbekistan
        * `VU` - Vanuatu
        * `VA` - Vatikanstadt
        * `VE` - Venezuela (Bolivarische Republik)
        * `AE` - Vereinigte Arabische Emirate
        * `US` - Vereinigte Staaten von Amerika
        * `GB` - Vereinigtes Königreich
        * `VN` - Vietnam
        * `WF` - Wallis und Futuna
        * `CX` - Weihnachtsinsel
        * `BY` - Weißrussland
        * `EH` - Westsahara
        * `CF` - Zentralafrikanische Republik
        * `CY` - Zypern
    TypeEnum:
      enum:
        - gesellschafter
        - direktor
        - director
        - vorstand
        - inhaber
        - geschaeftsführer
        - komplementaer
        - partner
        - vorsitzender
        - sonstiges
      type: string
      description: |-
        * `gesellschafter` - Gesellschafter
        * `direktor` - Direktor
        * `director` - Director
        * `vorstand` - Vorstand
        * `inhaber` - Inhaber
        * `geschaeftsführer` - Geschäftsführer
        * `komplementaer` - Komplementär
        * `partner` - Partner
        * `vorsitzender` - Vorsitzender
        * `sonstiges` - Sonstiges
    ChannelTypeEnum:
      enum:
        - EMAIL
      type: string
      description: '* `EMAIL` - E-Mail'
    NotificationTypesEnum:
      enum:
        - STATUS_UPDATE
        - REQUESTS_TO_CLIENT
        - STATEMENTS
      type: string
      description: |-
        * `STATUS_UPDATE` - Status Updates
        * `REQUESTS_TO_CLIENT` - Rückfragen
        * `STATEMENTS` - Abrechnungen
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer

````